Subject: Re: What's cooking in git.git (Aug 2021, #08; Mon, 23)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 24 Aug 2021 12:08:02 +0200

On Mon, Aug 23 2021, Junio C Hamano wrote:

Our E-Mails crossed, but on the "update on my topics" front everything I
noted in the reply to the last What's Cooking is stil current, except as
noted below:
https://lore.kernel.org/git/[email-masked]/

Also this request to pick up 2x missed topics from me:
https://lore.kernel.org/git/[email-masked]/

Oh, and a 3rd one I forgot about, Ben Boeckel's advice.c work which I
fixed failures in and re-rolled at:
https://lore.kernel.org/git/[email-masked]/

> The tip of 'next' has been rewound, and the first batch of this
> cycle should be in 'master' in a few days.  As discussed, let's make
> 'ort' the default early in this cycle.

Yay ORT!

> Most notably, since the "errno cleanup around refs API" topics have
> been blocking the "reftable backend" topic, I've reverted the former
> out of 'next' and moved them to near the tip of 'seen', essentially
> giving priority to the latter.  In other words, I'd expect to see
> that the "reftable" topic to move before the "errno cleanup" topic,
> and also expect that any breakage, when both are merged to 'seen',
> would be resolved by adjusting the "errno cleanup" topic.

Per discussion at
https://lore.kernel.org/git/[email-masked]/ and
https://lore.kernel.org/git/[email-masked]/ I think
"errno first" makes sense. I re-rolled my two topics, and submitted a
re-rolled hn/reftable at
https://lore.kernel.org/git/[email-masked]/;
which in combination with the earlier two fixes the issues on "seen".

I.e. it's just hn/reftable with 3x fixup patches at the end, will need
to be rolled/squashed into a re-rolled reftable topic, but for now....

> [...]
> * ab/http-drop-old-curl (2021-07-30) 5 commits
> * ab/bundle-doc (2021-08-02) 4 commits
> * ab/pack-stdin-packs-fix (2021-07-09) 2 commits
> * es/config-based-hooks (2021-08-19) 7 commits
> [...]
>  - Merge branch 'ab/config-based-hooks-base' into es/config-based-hooks
>  (this branch uses ab/config-based-hooks-base.)
> [...]
> * ab/lib-subtest (2021-08-05) 11 commits
> * ab/only-single-progress-at-once (2021-07-23) 8 commits
> * ab/progress-users-adjust-counters (2021-08-05) 3 commits
> * ab/make-tags-cleanup (2021-08-05) 5 commits
> * ab/config-based-hooks-base (2021-08-03) 36 commits
> * ab/serve-cleanup (2021-08-05) 10 commits
> * ab/pack-objects-stdin (2021-07-09) 5 commits
> * ab/refs-files-cleanup (2021-08-19) 11 commits

As noted above please see
https://lore.kernel.org/git/[email-masked]/ for the
up-to-date summary on these.

> * ab/test-tool-cache-cleanup (2021-06-08) 4 commits
>  - read-cache perf: add a perf test for refresh_index()
>  - test-tool: migrate read-cache-again to parse_options()
>  - test-tool: migrate read-cache-perf to parse_options()
>  - test-tool: split up test-tool read-cache
>
>  Test code shuffling.
>
>  Expecting a reroll.

I finally re-rolled this, sorry about the delay:
https://lore.kernel.org/git/[email-masked]/